changeset 11026:f7a9849b6394

Remove debugging information left over by C compiler on MacOS X.
author Bruno Haible <bruno@clisp.org>
date Sat, 17 Jan 2009 09:29:19 +0100
parents 6d85e95ca18f
children fa0076bdc391
files ChangeLog build-aux/install-reloc
diffstat 2 files changed, 12 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2009-01-17  Bruno Haible  <bruno@clisp.org>
+
+	* build-aux/install-reloc: Remove debugging information left over by
+	C compiler on MacOS X.
+
 2009-01-17  Bruno Haible  <bruno@clisp.org>
 
 	Update use of _NSGetExecutablePath after API change in MacOS X 10.4.
--- a/build-aux/install-reloc
+++ b/build-aux/install-reloc
@@ -1,6 +1,6 @@
 #!/bin/sh
 # install-reloc - install a program including a relocating wrapper
-# Copyright (C) 2003, 2005-2007 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2005-2007, 2009 Free Software Foundation, Inc.
 # Written by Bruno Haible <bruno@clisp.org>, 2003.
 #
 # This program is free software: you can redistribute it and/or modify
@@ -169,6 +169,12 @@
       strerror.o \
       c-ctype.o
 test $rc = 0 || exit $?
+# Clean up debugging information left over by the native C compiler on MacOS X.
+rm -rf "$destprog.wrapper$exeext.dSYM"
+test $rc = 0 || exit $?
+
+# Strip wrapper.
+test "$strip_prog" = ':' || func_verbose "$strip_prog" "$destprog.wrapper$exeext" || exit $?
 
 # Rename $destprog.wrapper -> $destprog -> $destprog.bin.
 ln -f "$destprog$exeext" "$destprog.bin$exeext" \